Bug 505643 - e1000e: sporadic hang in netdump (5% netdump failure rate)
e1000e: sporadic hang in netdump (5% netdump failure rate)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
urgent Severity high
: rc
: ---
Assigned To: Andy Gospodarek
Kernel Dump QE
:
Depends On: 494688
Blocks: 583726 589296
  Show dependency treegraph
 
Reported: 2009-06-12 14:03 EDT by Flavio Leitner
Modified: 2014-06-29 19:01 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-12 10:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 11 Neil Horman 2010-01-27 20:08:14 EST
yeah, it certainly could be an issue, Andy, stack traces look simmilar.  Do you have references to the RHEL4 changes.  They should apply pretty easily I think.
Comment 12 Andy Gospodarek 2010-01-27 20:41:46 EST
I think there is some confusion, Neil.  I thought I saw that you posted some RHEL4 changes for netpoll recently.  This one specifically was the one I was thinking about:

commit fafe89a87140f78499ccb487ab26f2c4345a785b
Author: Neil Horman <nhorman@redhat.com>
Date:   Wed Jan 13 11:08:08 2010 -0500

    netpoll: fix more local_bh_enable() related badness warnings and infinite loop

That was for bug 516076.  I was curious if it would resolve the same issue.
Comment 13 Neil Horman 2010-01-27 21:58:24 EST
No, we're talking about the same thing.  I'm sorry, I should have been more clear.  There was that patch, and then a follow on patch that went straight to rhkl (vivek asked me to fix it up in line with that one).  If you look up the thread on rhkl you'll find the subsequent patch as well as the one in the bug.
Comment 15 RHEL Product and Program Management 2010-04-15 12:09:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Andy Gospodarek 2010-04-19 14:15:33 EDT
Gary, could you have the reporter check against the lastest RHEL4 development kernel?  Bug 516076 may have actually resolved this already.

The fix for bug 516076 went in 2.6.9-89.19.EL, so any kernel at least that new (as of right now http://people.redhat.com/vgoyal/rhel4/ shows that 2.6.9-89.23.EL is available) would be fine.
Comment 20 Andy Gospodarek 2010-10-12 10:19:52 EDT
No feedback.  Closing.

Note You need to log in before you can comment on or make changes to this bug.